<odoo>
    <data>
        <record id="action_process_selected_brosse_bank_deposits" model="ir.actions.server">
            <field name="name">Brosse Bank</field>
            <field name="model_id" ref="model_brosse_bank_deposits"/>
            <field name="binding_model_id" ref="model_brosse_bank_deposits"/>
            <field name="state">code</field>
            <field name="code">
                action = records.action_process_selected_records()
            </field>
        </record>

        <record id="view_brosse_bank_deposits_list" model="ir.ui.view">
            <field name="name">Deposits</field>
            <field name="model">brosse.bank.deposits</field>
            <field name="arch" type="xml">
                <list string="Bank Deposits" editable="bottom">
                    <header>
                        <button name="%(action_process_selected_brosse_bank_deposits)d" type="action" string="Add bank deposits" class="btn-primary"/>
                    </header>
                    <field name="bank_account_id"/>
                    <field name="amount"/>
                    <field name="description" optional="show"/>
                    <field name="comment" optional="show"/>
                    <field name="partner_name" optional="show"/>
                    <field name="taxpayer_name" optional="show"/>
                    <field name="currency_id" column_invisible='1'/>
                </list>
            </field>
        </record>


        <record id="view_brosse_bank_deposits_tree" model="ir.ui.view">
            <field name="name">Deposits</field>
            <field name="model">brosse.bank.deposits</field>
            <field name="arch" type="xml">
                <list string="Bank Deposits" editable="bottom">
                    <field name="bank_account_id"/>
                    <field name="amount"/>
                    <field name="description" optional="show"/>
                    <field name="comment" optional="show"/>
                    <field name="partner_name" optional="show"/>
                    <field name="taxpayer_name" optional="show"/>
                    <field name="currency_id" column_invisible='1'/>
                </list>
            </field>
        </record>

        <record id="action_brosse_bank_deposits" model="ir.actions.act_window">
            <field name="name">Bank Deposits</field>
            <field name="res_model">brosse.bank.deposits</field>
            <field name="view_mode">list</field>
        </record>

        <menuitem id="menu_brosse_bank_deposits_root"
                  name="Bank Deposits"
                  parent="bross_hms.finance_root_menu"
                  action="action_brosse_bank_deposits"
                  sequence="10"/>
    </data>
</odoo>
